<?php
$active_tab = "";
if(isset($_GET['page']) && $_GET['page'] = "cfc-dashboard"){
    if(isset($_GET['tab'])){
        $active_tab = $_GET['tab'];
    }else{
        $active_tab = "dashboard";
    }
}

/*
get onboarding status
*/

if($active_tab != "cfc-onboarding"){
    $cfc_onboarding_status = get_option('cfc-onboarding-status');
   
    if($cfc_onboarding_status['status'] != "complete"){
        $onboarding_url =  get_admin_url().'admin.php?page=cfc-dashboard&tab=cfc-onboarding';
        wp_redirect($onboarding_url);
        exit();
    }
}
?>

<div class="wrap">
    <?php 
        //list of all global notice
        $global_notice = get_option( 'cfc-global-notice' );
        if(!empty($global_notice)){

            foreach ($global_notice as $key => $notice) {
                if( !empty($notice) ){
                ?>
                    <div class="cfc-error"><p><?php echo $notice; ?></p></div>
                <?php        
                }

                if($key == "card_update_notice"){
                    unset($global_notice[$key]);
                }
            }
        }
        update_option( 'cfc-global-notice', $global_notice );
        
    ?>
    <form method="post" id="cfc_form" action="" enctype="multipart/form-data">
        <nav class="nav-tab-wrapper">
            <a href="?page=cfc-dashboard&amp;tab=dashboard" class="nav-tab <?php if($active_tab == "dashboard") echo "nav-tab-active"; ?>">Dashboard</a>
            <a href="?page=cfc-dashboard&amp;tab=cfc-settings" class="nav-tab <?php if($active_tab == "cfc-settings") echo "nav-tab-active"; ?>">Settings</a>
            <a href="?page=cfc-dashboard&amp;tab=cfc-look-and-feel" class="nav-tab <?php if($active_tab == "cfc-look-and-feel") echo "nav-tab-active"; ?>">Look and Feel</a>
            <a href="?page=cfc-dashboard&amp;tab=climate-friendly-rewards" class="nav-tab <?php if($active_tab == "climate-friendly-rewards") echo "nav-tab-active"; ?>">Climate Friendly Rewards</a>
            <a href="?page=cfc-dashboard&amp;tab=cfc-card-manager" class="nav-tab <?php if($active_tab == "cfc-card-manager") echo "nav-tab-active"; ?>">Card Manager</a>
        </nav>
        <?php  require_once CFC_PLUGIN_PATH . 'includes/admin/views/'.$active_tab.'.php'; ?>
    </form>
</div>

<?php

    if(isset($_GET['page']) && ( $_GET['page'] == "cfc-dashboard" || $_GET['page'] == "cfc-card-manager" ) ){
        if( ( isset($_GET['step']) && $_GET['step'] == 2  && $active_tab == "cfc-onboarding" ) || ( $active_tab == "cfc-card-manager" ) ){
            
        ?>

            <script type="text/javascript">
                // Set your publishable key: remember to change this to your live publishable key in production
                // See your keys here: https://dashboard.stripe.com/account/apikeys
                var stripe = Stripe('<?php echo CFC_STRIPE_PUBLIC_KEY; ?>');
                var elements = stripe.elements({
                    fonts: [
                      {
                        cssSrc: "https://rsms.me/inter/inter-ui.css"
                      }
                    ],
                    // Stripe's examples are localized to specific languages, but if
                    // you wish to have Elements automatically detect your user's locale,
                    // use `locale: 'auto'` instead.
                    locale: window.__exampleLocale
                  });

                // Custom styling can be passed to options when creating an Element.
                var style = {

                        base: {
                            color: "#32325D",
                            fontWeight: 500,
                            fontFamily: "Inter UI, Open Sans, Segoe UI, sans-serif",
                            fontSize: "16px",
                            fontSmoothing: "antialiased",

                            "::placeholder": {
                                color: "#CFD7DF"
                            }
                        },
                        invalid: {
                            color: "#E25950"
                        },
                    };
                
                    
                // Create an instance of the card Element.
                var card = elements.create('card', {hidePostalCode: true, style: style});

                // Add an instance of the card Element into the `card-element` <div>.
                card.mount('#card-element');


                // Create a token or display an error when the form is submitted.
                var form = document.getElementById('cfc_form');
                form.addEventListener('submit', function(event) {
                  event.preventDefault();

                    stripe.createToken(card).then(function(result) {
                        if (result.error) {
                          // Inform the customer that there was an error.
                          var errorElement = document.getElementById('card-errors');
                          errorElement.textContent = result.error.message;
                        } else {
                          // Send the token to your server.
                          stripeTokenHandler(result.token);
                        }
                    });
                });

                function stripeTokenHandler(token) {
                    // Insert the token ID into the form so it gets submitted to the server
                    var form = document.getElementById('cfc_form');
                    var hiddenInput = document.createElement('input');
                    hiddenInput.setAttribute('type', 'hidden');
                    hiddenInput.setAttribute('name', 'stripeToken');
                    hiddenInput.setAttribute('value', token.id);
                    form.appendChild(hiddenInput);

                    // Submit the form
                    form.submit();
                }
            </script>
        <?php            
        }
    }
?>