<?php 
    global $fetch_card_response;
    
    $CFC_Carbonclick_Laravel_API    = new CFC_Carbonclick_Laravel_API();
    $fetch_card_response            = $CFC_Carbonclick_Laravel_API->cfc_fetch_customer();
        
    if( !empty( $fetch_card_response['success'] ) && ( $fetch_card_response['success'] == true || $fetch_card_response['success'] == 1 ) ){
    
        $last4      = $fetch_card_response['data']['last4'];
        $exp_month  = $fetch_card_response['data']['exp_month'];
        $exp_year   = $fetch_card_response['data']['exp_year'];
        $topup       = $fetch_card_response['topup'];

    }else{

        $last4  = $exp_month = $exp_year = $topup = 0;
    }
  
?>

<div class="card-manager-tab-wrapper">
    <div class="card-manager-tab-bg">
        <h1 class="screen-reader-text">Card Info</h1>
        <h2>Card Info</h2>

        <div class="carddetails">
            <table cellspacing="0" cellpadding="0">
                <tr>
                    <th>Balance</th>
                    <th>Card </th>
                    <th>Expiry Month</th>
                    <th>Expiry Year</th>
                </tr>
                <tr>
                    <td><?php echo $topup; ?></td>
                    <td><span class="last4"><?php echo "**** **** **** ".$last4;  ?></span></td>
                    <td><span class="exp_month"><?php echo $exp_month;  ?></span></td>
                    <td><span class="exp_year"><?php echo $exp_year;  ?></span></td>
                </tr>
            </table>
            
            <a href="#" class="edit edit-card">Edit</a>
        </div>

        <div class="update-card-details" style="display: none;">

            <div class="form-row card-element">
                <fieldset>
                    <legend class="card-only" data-tid="elements_examples.form.pay_with_card">Pay with card</legend>
                    
                    <div class="container">
                        <div id="card-element">
                          <!-- A Stripe Element will be inserted here. -->
                        </div>    
                    </div>
                </fieldset>

                <!-- Used to display Element errors. -->
                <div id="card-errors" class="stripe-error" role="alert"></div>
            </div>
          
          
            <div class="cfc-step-btn">
                <button name="card_management" class="button-primary" type="submit" value="Next">Submit</button>
                <?php
                    $last_step_details = array(
                                            'step_details'          => 'yes',
                                        );

                    $decrypted_last_step_details =  $this->cfc_encrypt_data( serialize( $last_step_details) );
                ?>
                <input type="hidden" name="step_details" value="<?php echo $decrypted_last_step_details ; ?>">
                <?php wp_nonce_field('cfc_card_management_nonce', 'cfc_card_management_nonce_field'); ?>
            </div>
        </div>
    </div>
</div>