<?php
	$cfc_settings    	= get_option( 'cfc_settings_options' );
	$cfc_charge_status 	= get_option( 'cfc-charge-status' );
	$disabled 			= "";
   	/*
   	if($cfc_charge_status != "paid"){
		$disabled 		 = 'disabled="disabled"';
	}
	*/

?>
<div class="setting-tab-wrapper">
<h1 class="screen-reader-text">Settings</h1>
<h2>Settings</h2>

<table class="form-table">
	<tbody>
		
		<tr valign="top">
			<th scope="row" class="titledesc">Enable Widget</th>
			<td class="forminp forminp-checkbox">
			    <div class="inner-bg">
					<fieldset>
						<div class="toggle-button">
							<label class="switch" for="cfc_enable_widget_on_cart">
								<input <?php echo $disabled; ?> name="cfc_enable_widget_on_cart" id="cfc_enable_widget_on_cart" type="checkbox" <?php echo checked($cfc_settings['cfc_enable_widget_on_cart'], 1); ?> class="" value="1"> 
								<span class="slider"></span>
							</label>
						</div>	
					</fieldset>
				</div>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row" class="titledesc">
				<label for="cfc_offset_amount">Offset</label>
			</th>
			<td class="forminp forminp-number">
			    <div class="inner-bg">
				    <p class="description">Offset Amount</p>
					<input name="cfc_offset_amount" id="cfc_offset_amount" type="number" style="width: 100%;" value="<?php echo $cfc_settings['cfc_offset_amount']; ?>"  placeholder="" min="1" max="100" step="1">
				</div>							
			</td>
		</tr>


		<tr valign="top">
			<th scope="row" class="titledesc">
				<label for="cfc_card_management_prefered_topup">Preferred Topup</label>
			</th>
			<td class="forminp forminp-number">
			    <div class="inner-bg">
				    <p class="description">Preferred Topup</p>
					<input name="cfc_card_management_prefered_topup" id="cfc_card_management_prefered_topup" type="number" style="width: 100%;" value="<?php echo $cfc_settings['cfc_card_management_prefered_topup']; ?>"  placeholder="" min="20" step="1">
				</div>							
			</td>
		</tr>

		
		<tr valign="top">
			<th scope="row" class="titledesc">
				<label for="">Theme Install Instructions</label>
			</th>
			<td class="forminp forminp-text">
				<div class="inner-bg d-flex">
					<div class="ins-left">Want to see the steps to add CarbonClick to your theme? (Opens in a new window).</div>
					<div class="ins-right">
						<a href="<?php echo CFC_OPEN_INSTRUCTIONS_LINK; ?>" target="_blank">Open Instructions</a>
					</div>
				</div>			
			</td>
		</tr>

		<tr valign="top">
			<th scope="row" class="titledesc">
				<label for="">Request Installation Help</label>
			</th>
			<td class="forminp forminp-text">
				<div class="inner-bg d-flex">
					<div class="ins-left">Would you like CarbonClick to take care of installing the widget to your theme? No extra charge.</div>
					<div class="ins-right">
						<button type="submit" name="cfc_request_install_app" class="cfc-request-help" value="request_install_help">Request Help</button>
					</div>
				</div>			
			</td>
		</tr>

	</tbody>
</table>

<p class="submit">
	<button name="save_cfc_settings" class="button-primary" type="submit" value="Save changes">Save changes</button>
	<?php wp_nonce_field('cfc_settings_nonce', 'cfc_settings_nonce_field'); ?>
</p>
</div>